uglify-js (3.6.0-2) unstable; urgency=medium

  * Fix tighten dependencies between binary packages.
    See Bug#931791. Thanks to Pirate Praveen.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2019 13:02:38 -0300

uglify-js (3.6.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream author.
  * Extend autopkgtest to cover all binary packages.
  * Update path the testsuite.
  * Fix support DEB_BUILD_OPTIONS=nocheck.
  * Update and tighten lintian overrides.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jul 2019 20:13:47 -0300

uglify-js (3.5.0-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Mar 2019 23:23:02 +0100

uglify-js (3.4.9-5) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Fix have libjs-uglify-js recommend javascript-common.
  * Update watch file:
    + Simplify regular expressions.
    + Rewrite usage comment.
  * Update copyright info: Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Feb 2019 16:41:50 +0100

uglify-js (3.4.9-4) unstable; urgency=medium

  * Fix include source-map only for minified web library,
    and pre-compress source-map.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Jan 2019 22:33:32 +0100

uglify-js (3.4.9-3) unstable; urgency=medium

  * Fix build web library both debug-friendly and optimized,
    and include source-maps.
  * Provide gzip and brotli pre-compressed files.
    Build-depend on brotli pigz.
  * Slightly improve short and long descriptions.
  * Install README, rendered as plaintext and html.
    Generate documentation unless nodoc requested.
    Build-depend on pandoc.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Jan 2019 22:00:53 +0100

uglify-js (3.4.9-2) unstable; urgency=medium

  * Fix have uglifyjs depend on node-uglify-js.
  * Add autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Jan 2019 17:12:59 +0100

uglify-js (3.4.9-1) unstable; urgency=medium

  * Update git-buildpackage config: Track debian branch debian/master.
  * Update watch file: Track any upstream version (not only 2.x).
  * Rename source package uglifyjs → uglify-js.
  * Update copyright info: Extend coverage for main upstream author.
  * Rewrite patch 1001, but disable temporaribly:
    Requires more work to not fail testsuite.
    Add TODO about reenabling it.
    Build-depend on node-source-map.
  * Drop patch 1002: Mocha no longer used for testing.
    Stop build-depend on mocha node-escodegen node-estraverse.
  * Drop patch 1003: node-yargs no longer used.
    (Build-)depend on node-commander (not node-yargs).
  * Drop patch 2002: Ok now to call node instead of nodejs.
    Update rules to call node.
  * Update watch file: Use substitution strings.
  * Rename binary package libjs-uglifyjs → libjs-uglify-js,
    installing below /usr/share/javascript/uglify-js.
  * Rename binary package node-uglify → node-uglify-js,
    conflicting with package node-uglify.
  * Fix stop suggest node-uglify-to-browserify.
  * Add new binary package uglifyjs.
  * Build-depend (when check is enabled) on node-semver.
  * Stop custom permissions fix during build:
    Involved executable no longer shipped upstream.
  * Update lintian overrides about source-is-missing false positives.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Jan 2019 10:23:12 +0100

uglifyjs (2.8.29-5) unstable; urgency=medium

  * Simplify rules:
    + Use debhelper hint files.
    + Use short-form dh sequencer.
      Stop build-depend on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Dec 2018 16:41:58 +0100

uglifyjs (2.8.29-4) unstable; urgency=medium

  * Update watch file: Fix typo in usage comment.
  * Fix update patch 1002 to work with recent mocha.
    Closes: Bug#917746. Thanks to Lucas Nussbaum.
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Stop resolve build-dependencies in rules file.
  * Mark build-dependencies needed only for testsuite as such.
  * Stop build-depend on dh-buildinfo.
  * Wrap and sort control file.
  * Update Vcs-* fields: Maintenance moved to Salsa.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.3.0.
  * Update copyright info:
    + Strip superfluous copyright characters.
    + Extend coverage of packaging.
  * Fix generate manpage with proper DESCRIPTION field
    (and revert earlier needless tidying of other content).
    Closes: Bug#847642. Thanks to Ben Finney.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Dec 2018 12:04:45 +0100

uglifyjs (2.8.29-3) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Drop myself from Uploaders: I have no intention of working on this
    package anymore.

  [ Jonas Smedegaard ]
  * Update copyright info: Use https protocol in file format URL.
  * Tighten lintian overrides regarding License-Reference.
  * Tighten and extend lintian overrides regarding false positives.
  * Use package section jacascript (not web).
  * Declare compliance with Debian Policy 4.1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2017 12:58:17 +0200

uglifyjs (2.8.29-2) unstable; urgency=medium

  [ Bastien Roucariès ]
  * Fix render help output.
    Closes: #847642). Thanks to Ben Finney.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.0.1.
  * Rename patch to follow naming micro policy.
  * Add DEP-3 patch header.
  * Advertise DEP3 format in patch headers.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2017 01:00:38 +0200

uglifyjs (2.8.29-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file: Tighten to track only 2.x.x.
  * Modernize Vcs-Browser field: Use git (not cgit) in path.
  * Unfuzz patch 1001.
  * Declare compliance with Debian Policy 4.0.0.
  * Modernize git-buildpackage config: Filter any .git* file.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Jun 2017 22:09:58 +0200

uglifyjs (2.8.22-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Use file format 4.
    + Use Github pattern.
    + Add usage comment.
  * Unfuzz patches.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
  * Update copyright info:
    + Extend copyright of packaging to cover recent years.
  * Update package relations:
    + Build-depend on and suggest node-acorn.
    + Stop build-depend on devscripts.
    + Stop (build-)depend on node-async.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Apr 2017 16:19:11 +0200

uglifyjs (2.7.5-2) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Add patch 1002 to avoid hardcoded timeout in tests.
    Closes: Bug#851318. Thanks to Santiago Vila.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Feb 2017 12:15:28 +0100

uglifyjs (2.7.5-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Build-depend on node-escodegen node-estraverse: Improves testsuite.
  * Don't fail testuite when targeting experimental.
  * Unfuzz and slightly update patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Dec 2016 12:42:57 +0100

uglifyjs (2.7.4-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: Bug#836722.

  [ Pirate Praveen ]
  * Drop patch: 020150722~905b601.patch (included upstream)
  * Refresh patches
  * Add licensecheck to build dependencies
  * Switch dependency from node-optimist to node-yargs
  * Bump debhelper compat to 9
  * Patch bin/extract-props.js to use nodejs command.
  * Add myself to uploaders

  [ Jonas medegaard ]
  * Fix build target: Touch only when fully completed.
  * Fix set executable bit for new script.
  * Stop build-depend on devscripts.

 -- Pirate Praveen <praveen@debian.org>  Thu, 01 Dec 2016 23:02:12 +0530

uglifyjs (2.4.15-6) unstable; urgency=medium

  * Add myself to Uploaders:
  * Add new package libjs-uglify providing UglifyJS in library form ready for
    use by web applications and other packages.
  * Bump Standards-Version to 3.9.8; no changes needed
  * Switch Vcs-Git field to use HTTPS

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 07 Aug 2016 20:14:13 -0300

uglifyjs (2.4.15-5) unstable; urgency=high

  * Add patch from upstream to avoid negating non-boolean AST_Binary.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Aug 2015 11:09:01 +0200

uglifyjs (2.4.15-4) unstable; urgency=medium

  * Fix code path.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 May 2015 20:21:11 +0200

uglifyjs (2.4.15-3) unstable; urgency=medium

  * Drop patch 2001, and instead install all code in subdirs referenced
    by package.json.
    Unfuzz patch 2002.
    Thanks to Jérémy Lal (see bug#784439).
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 May 2015 11:14:06 +0200

uglifyjs (2.4.15-2) unstable; urgency=medium

  [ Marcelo Jorge Vieira ]
  * Use canonical URL in Vcs-Git field.

  [ Jonas Smedegaard ]
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Extend patch 2001 to cover hardcoded path to package.json, and adapt
    its install routine.
    Closes: bug#784439. Thanks to Pau Garcia i Quiles.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 May 2015 01:57:46 +0200

uglifyjs (2.4.15-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release(s).

  * Fix use canonical URL in Vcs-Git.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Declare compliance with Debian Policy 3.9.6.
  * Unfuzz patch 1001.
  * Fix use plain ASCII dash in long description.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2014 15:14:13 +0200

uglifyjs (2.4.13-2) experimental; urgency=medium

  * Recommend node-source-map and fix suggest node-uglify-to-browserify.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Jun 2014 19:38:02 +0200

uglifyjs (2.4.13-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.
    Closes: bug#745687.

  [ Jonas Smedegaard ]
  * Update upstream homepage and source URLs.
  * Adapt patches to upstream rewritten code.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Drop additional author: no longer applies.
    + Add alternate git source URL.
    + Explicitly cover patches (separately from packaging generally),
      adding Jérémy Lal and myself as copyright holders.
    + Add/clarify coverage for myself for packaging generally.
    + Relicense packaging (generally, excluding patches) as GPL-3+.
  * Have git-import-orig suppress upstream .gitignore file.
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions.
  * Stop track md5sum of upstream tarball (compare against upstream git
    instead).
  * Update patches:
    + Add patch 1001 to relax dependency om source-map: Breaks
      dependency loop.
      See bug#745687. Thanks to Jérémy Lal.
    + Reorder (and unfuzz) patches by likelihood of upstream adoption.
      Rename to include reference number reflecting new order:
      2001_fix_lib_path.patch
      2002_node_conflict.patch
    + Add DEP3 header to patch 2002.
    + Fix testsuite part of patch 2001.
  * Rewrite short and long description based on upstream texts.
  * Simplify installation of script files and documentation files.
  * Install package.json.
  * Generate manpage from executable itself, using help2man.
  * Enable testsuite.
  * Update package relations:
    + Relax to depend unversioned on nodejs: All versions in any suite
      of Debian are sufficient.
    + (Build-)depend on node-optimist and recent node-async.
    + Suggest node-source-map and node-uglify-to-browserify.
    + Build-depend on help2man: Needed to generate man page.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 May 2014 22:07:10 +0200

uglifyjs (1.3.5-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release.

  [ Jonas Smedegaard ]
  * Add git-buildpackage config, enabling pristine-tar and signed tags.
  * Bump standards-version to 3.9.5.
  * Update copyright file: Add alternate git URL.
  * Fix drop upstream parts of git-ignore file.
  * Stop track md5sum of upstream tarball: Compare tarball against
    upstream git commits instead.
  * Relax to depend unversioned on nodejs: Only supported releases exist
    in Debian now.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Apr 2014 01:29:04 +0200

uglifyjs (1.3.4-1) unstable; urgency=low

  [ upstream ]
  * New upstream release.

  [ Jonas Smedegaard ]
  * Fix adapt path in binary too in fix_lib_path patch.
  * Consistently adjust only actually used files in node_conflict patch,
    as already partly done (accidentally?) in 1.3.3-1.
  * Refresh patches with shortening quilt options.
  * Bump dephelper compatibility level to 8.
  * Update package relations:
    + Relax to build-depend unversioned on debhelper: Needed version
      satisfied in stable, and oldstable no longer supported.
    + Build-depend on dh-buildinfo, to improve ability to debug
      packaging independent from central Debian resources.
    + Build-depend on devscripts, to enable CDBS copyright checking.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Improve slightly unsetting executable bit: use symbolic format, and
    improve comment.
  * Update copyright file:
    + Use recommended License shortname BSD-2-clause.
    + Rewrap License paragraph at 72 chars with minimal indentation.
    + Add Upstream-Contact and Source fields.
    + Fix add additional copyright holder (same license), thanks to CDBS
      copyright check.
  * Drop obsolete binary package libnode-uglify (and stop
    providing/replacing as well).
  * Update watch file to directly use github.com URL (not
    githubredir.debian.net).
  * Switch packaging from short-form dh to CDBS.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Dec 2012 22:59:07 +0100

uglifyjs (1.3.3-1) experimental; urgency=low

  * Imported Upstream version 1.3.3

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 29 Sep 2012 15:06:47 -0300

uglifyjs (1.2.6-3) unstable; urgency=low

  * Uglify should depend on new nodejs package

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 01 Aug 2012 10:16:03 -0300

uglifyjs (1.2.6-2) unstable; urgency=low

  * Node conflict; For more info, see:
    http://lists.debian.org/debian-devel-announce/2012/07/msg00002.html

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Tue, 31 Jul 2012 18:31:20 -0300

uglifyjs (1.2.6-1) unstable; urgency=low

  * New Upstream Release
  * Improving manpage
    + Added new entry: -c or --consolidate-primitive-values
  * Updated Standards-Version to 3.9.3
    + Machine-readable debian/copyright version 1.0

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 25 Mar 2012 19:32:00 -0300

uglifyjs (1.2.5-1) unstable; urgency=low

  * New Upstream Release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 29 Feb 2012 14:21:47 -0300

uglifyjs (1.2.3-1) unstable; urgency=low

  * New Upstream Release
  * Improving manpage
    + Added new entry:  -nmf or --no-mangle-functions

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 24 Dec 2011 17:02:57 -0200

uglifyjs (1.1.1-2) unstable; urgency=high

  * Fixed old references to libnode-uglify (Closes: #649525)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Mon, 21 Nov 2011 20:34:19 -0200

uglifyjs (1.1.1-1) unstable; urgency=low

  * New Upstream Release.
  * Renamed the binary package from 'libnode-uglify' to 'node-uglify'
    to follow the Debian JavaScript Policy.

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Mon, 21 Nov 2011 01:23:17 -0200

uglifyjs (1.1-1) unstable; urgency=low

  * New Upstream Release
  * Improving manpage
    + Added new entry: --lift-vars

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Tue, 27 Sep 2011 12:53:55 -0300

uglifyjs (1.0.6-1) unstable; urgency=low

  * New Upstream Release
  * Improving manpage
    + Added new entry: --inline-script

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Tue, 19 Jul 2011 18:05:58 -0300

uglifyjs (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Add myself as uploader.
  * Fix support "require 'uglify-js'":
    + Adjust install paths.
    + Add symlinks.
    + Simplify patch.
  * Refresh patch w/ shortening options --no-index --no-timestamps -pab.
  * Add DEP3 header to patch.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir.
  * Bump policy compliance to standards-version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Jul 2011 23:26:55 +0200

uglifyjs (1.0.3-1) unstable; urgency=low

  * New Upstream Release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 29 Jun 2011 20:04:08 -0300

uglifyjs (1.0.2-1) UNRELEASED; urgency=low

  * New Upstream Release
  * Fixed description-synopsis-starts-with-article
  * Updating fix_lib_path.patch

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 29 May 2011 22:05:00 -0300

uglifyjs (1.0.1-1) unstable; urgency=low

  * New Upstream Release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 24 Apr 2011 17:22:43 -0300

uglifyjs (1.0-1) unstable; urgency=low

  * New Upstream Release
  * Improving manpage
    + Added new entries (--ascii and --reserved-names)
    + Fixed options params
    + Added description for all options
  * Updating fix_lib_path.patch

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 16 Mar 2011 11:46:36 -0300

uglifyjs (0.90-1) unstable; urgency=low

  * Initial Release (Closes: #616700).

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 05 Mar 2011 15:41:54 -0300
